Subject: bug#75520: Circular code or data can hang Emacs unquittably

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Jan 2025 01:23:46 -0500

Pip Cet via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> "Eli Zaretskii" <[email-masked]> writes:
>
>> We can fix only the most painful ones.  We don't need to make sure
>> none remain, if it isn't easy.
>
> It's not.  Maybe coccinelle can help, though (Stefan Kangas just used
> it, so it seems to still exist, and coccigrep at least was updated
> recently).

AFAIK, it's actively developed and used.  Version 1.3.0 was released
last November.

https://coccinelle.gitlabpages.inria.fr/website/distrib/changes.html